package com.ssj.service.conch.opentest.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @time 2020/5/15 13:56
 */
public class LoginReq extends BaseRequest {

    private static final long serialVersionUID = -5218556045186622536L;

    @ApiModelProperty(name = "loginName", value = "登陆账号（手机号）", required = true)
    @NotBlank
    private String loginName;

    @ApiModelProperty(name = "password", value = "登录密码", required = true)
    @NotBlank
    private String password;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
